OGRE: Ogre::GLES2RenderSystem Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GLES2RenderSystem Class Reference
RenderSystems » GLES2

Implementation of GL ES 2.x as a rendering system. More...

`#include <OgreGLES2RenderSystem.h>`

Inheritance diagram for Ogre::GLES2RenderSystem:
[legend]

## Public Member Functions
| GLES2RenderSystem ()
virtual | ~GLES2RenderSystem ()
void | _bindVao (GLContext *context, uint32 vao) override
| Bind VAO, context should be equal to current context, as VAOs are not shared.
void | _copyContentsToMemory (Viewport *vp, const Box &src, const PixelBox &dst, RenderWindow::FrameBuffer buffer) override
DepthBuffer * | _createDepthBufferFor (RenderTarget *renderTarget) override
| Creates a DepthBuffer that can be attached to the specified RenderTarget.
RenderWindow * | _createRenderWindow (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0) override
| Creates a new rendering window.
uint32 | _createVao () override
| Create VAO on current context.
void | _destroyFbo (GLContext *context, uint32 fbo) override
| Destroy FBO immediately or defer if it was created on other context.
void | _destroyVao (GLContext *context, uint32 vao) override
| Destroy VAO immediately or defer if it was created on other context.
void | _endFrame (void) override
GLES2StateCacheManager * | _getStateCacheManager ()
void | _initialise () override
void | _oneTimeContextInitialization () override
void | _render (const RenderOperation &op) override
void | _setAlphaRejectSettings (CompareFunction func, unsigned char value, bool alphaToCoverage) override
| Sets the global alpha rejection approach for future renders.
void | _setCullingMode (CullingMode mode) override
void | _setDepthBias (float constantBias, float slopeScaleBias) override
void | _setDepthBufferParams (bool depthTest=true, bool depthWrite=true, CompareFunction depthFunction=CMPF_LESS_EQUAL) override
void | _setLineWidth (float width) override
void | _setPolygonMode (PolygonMode level) override
void | _setRenderTarget (RenderTarget *target) override
| Set current render target to target, enabling its GL context if needed.
void | _setSampler (size_t unit, Sampler &sampler) override
void | _setTexture (size_t unit, bool enabled, const TexturePtr &tex) override
void | _setViewport (Viewport *vp) override
void | _switchContext (GLContext *context)
| Switch GL context, dealing with involved internal cached states too.
void | _unregisterContext (GLContext *context) override
| Unregister a render target->context mapping.
void | beginProfileEvent (const String &eventName) override
| This marks the beginning of an event for GPU profiling.
void | bindGpuProgram (GpuProgram *prg) override
void | bindGpuProgramParameters (GpuProgramType gptype, const GpuProgramParametersPtr &params, uint16 mask) override
void | bindRenderTarget (RenderTarget *target) override
void | clearFrameBuffer (unsigned int buffers, const ColourValue &colour=ColourValue::Black, float depth=1.0f, unsigned short stencil=0) override
GLint | convertCompareFunction (CompareFunction func) const
GLint | convertStencilOp (StencilOperation op, bool invert=false) const
HardwareOcclusionQuery * | createHardwareOcclusionQuery (void) override
MultiRenderTarget * | createMultiRenderTarget (const String &name) override
| Create a MultiRenderTarget, which is a render target that renders to multiple RenderTextures at once.
RenderSystemCapabilities * | createRenderSystemCapabilities () const override
void | endProfileEvent (void) override
| Ends the currently active GPU profiling event.
const String & | getName (void) const override
void | initialiseContext (RenderWindow *primary)
void | initialiseFromRenderSystemCapabilities (RenderSystemCapabilities *caps, RenderTarget *=NULL) override
void | markProfileEvent (const String &eventName) override
| Marks an instantaneous event for graphics profilers.
void | setColourBlendState (const ColourBlendState &state) override
void | setScissorTest (bool enabled, const Rect &rect=Rect()) override
void | setStencilState (const StencilState &state) override
void | shutdown (void) override
void | unbindGpuProgram (GpuProgramType gptype) override

## Detailed Description

Implementation of GL ES 2.x as a rendering system.

The documentation for this class was generated from the following file:

- OgreGLES2RenderSystem.h